/**
 * test/demos/min2time.c
 * Copyright (C) 2008 Markus Broeker
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <limits.h>

int main (int argc, char **argv)
{
    int minutes;

    if (argc == 2)
        minutes = atoi (argv[1]);
    else {
        printf ("Enter the amount of minutes: ");
        if (!scanf ("%d", &minutes))
            return EXIT_FAILURE;
    }

    if ((minutes < 0) || !(minutes < INT_MAX))
        return EXIT_FAILURE;

    printf ("%.3d:%.2d:%.2d:%.2d (yy:dd:hh:mm)\n", minutes / 60 / 24 / 365, (minutes / (60 * 24) % 365),
            (minutes / 60) % 24, minutes % 60);

    return EXIT_SUCCESS;
}
